%global drupaldir %{_datadir}/drupal6
Name:      drupal6-auto_nodetitle
Version:   1.2
Release:   11%{?dist}
Summary:   A small and efficient module that allows hiding of the content title

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/auto_nodetitle
Source0:   http://ftp.drupal.org/files/projects/auto_nodetitle-6.x-%{version}.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
This is a small and efficient module
that allows hiding of the content title field in the form.
To prevent empty content title fields one can configure it
to generate the title by a given pattern.
When the token module is installed
it's possible to use various node data for the
auto generated title - e.g. use the text of a CCK field (since 5.x).
Advanced users can also provide some PHP code,
that is used for automatically generating an appropriate title.

%prep
%setup -qn auto_nodetitle
chmod -x auto_nodetitle.module
chmod -x README.txt
chmod -x auto_nodetitle.install
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/auto_nodetitle
cp -pr * %{buildroot}%{drupaldir}/modules/auto_nodetitle

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt README.txt
%exclude %{drupaldir}/modules/auto_nodetitle/*.txt
%{drupaldir}/modules/auto_nodetitle

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Peter Borsa <peter.borsa@gmail.com> - 1.2-5
- The version macro is added in the Source0 line.

* Wed Jan 26 2011 Peter Borsa <peter.borsa@gmail.com> - 1.2-4
- Corrected alignment.
- Chmod and cp lines are copied under prep section.

* Fri Jan 14 2011 Peter Borsa <peter.borsa@gmail.com> - 1.2-3
- The License field is changed.

* Sat Jan 08 2011 Peter Borsa <peter.borsa@gmail.com> - 1.2-2
- Additional review adjustments.

* Sun Dec 19 2010 Peter Borsa <peter.borsa@gmail.com> - 1.2-1
- Initial packaging.
